Name:           libdvdnav
Version:        0.1.10
Release:        2%{?dist}
Summary:        A library for reading DVD video discs based on Ogle code.

Group:          System Environment/Libraries
License:        GPL
URL:            http://dvd.sourceforge.net/
Source:         http://download.sourceforge.net/sourceforge/dvd/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       libdvdread
BuildRequires:  libdvdread-devel
BuildRequires:	doxygen

%description
libdvdnav provides a simple library for reading DVD video discs.
The code is based on Ogle and used in, among others, the Xine dvdnav plug-in.

%package        devel
Summary:        libdvdnav static libraries and header files.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:	libdvdread-devel

%description    devel
libdvdnav-devel contains the files necessary to build packages that use the
libdvdnav library.

# -----------------------------------------------------------------------------

%prep
%setup -q

# -----------------------------------------------------------------------------

%build
%configure --enable-static --disable-dependency-tracking \
  --includedir=%{_includedir}/dvdnav # includedir abuse in Makefiles :/
make %{?_smp_mflags}
make -C doc docs

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/aclocal
install -p -m 644 m4/dvdnav.m4 $RPM_BUILD_ROOT/%{_datadir}/aclocal

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libdvdnav.so.*

%files devel
%defattr(-,root,root,-)
# on rh80, we get .gif files, on rh9 we get .png files, so let's be lazy
# and just pull in all html stuff in the docs
%doc doc/html/*
%{_bindir}/dvdnav-config
%{_libdir}/libdvdnav.a
%{_libdir}/libdvdnav.so
%dir %{_includedir}/dvdnav
%{_includedir}/dvdnav/*.h
%{_datadir}/aclocal/dvdnav.m4

# -----------------------------------------------------------------------------

%changelog
* Mon Mar 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> 0.1.10-2
- Drop Epoch completely

* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field
- drop Epoch

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Wed Oct 13 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.1.10-0.lvn.1
- Update to 0.1.10.
- Disable dependency tracking to speed up the build.

* Wed Jun 25 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:0.1.9-0.fdr.2: incorporated bugzilla suggestions, new release

* Thu May 29 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:0.1.9-0.fdr.1: initial RPM release
